Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_SequenceProxyPushConsumer_i Class Reference

`#include <Notify_SequenceProxyPushConsumer_i.h>`

Inheritance diagram for TAO_Notify_SequenceProxyPushConsumer_i:

[legend]
Collaboration diagram for TAO_Notify_SequenceProxyPushConsumer_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_SequenceProxyPushConsumer_i (TAO_Notify_SupplierAdmin_i *supplier_admin)
virtual | ~TAO_Notify_SequenceProxyPushConsumer_i (void)
virtual void | connect_sequence_push_supplier (CosNotifyComm::SequencePushSupplier_ptr push_supplier ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected )
virtual void | push_structured_events (const CosNotification::EventBatch &notifications ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosEventComm::Disconnected )
virtual void | disconnect_sequence_push_consumer (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
## Protected Methods
virtual void | dispatch_update_i (CosNotification::EventTypeSeq added, CosNotification::EventTypeSeq removed ACE_ENV_ARG_DECL)
## Protected Attributes
CosNotifyComm::SequencePushSupplier_ptr | push_supplier_
## Private Types
typedef TAO_Notify_ProxyConsumer< POA_CosNotifyChannelAdmin::SequenceProxyPushConsumer > | proxy_inherited

## Member Typedef Documentation

typedef TAO_Notify_ProxyConsumer<POA_CosNotifyChannelAdmin::SequenceProxyPushConsumer> TAO_Notify_SequenceProxyPushConsumer_i::proxy_inherited`[private]`

## Constructor & Destructor Documentation

TAO_Notify_SequenceProxyPushConsumer_i::TAO_Notify_SequenceProxyPushConsumer_i | ( | TAO_Notify_SupplierAdmin_i * | supplier_admin | ) |

TAO_Notify_SequenceProxyPushConsumer_i::~TAO_Notify_SequenceProxyPushConsumer_i | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void TAO_Notify_SequenceProxyPushConsumer_i::connect_sequence_push_supplier | ( | CosNotifyComm::SequencePushSupplier_ptr push_supplier | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected )`[virtual]`

void TAO_Notify_SequenceProxyPushConsumer_i::disconnect_sequence_push_consumer | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_SequenceProxyPushConsumer_i::dispatch_update_i | ( | CosNotification::EventTypeSeq | added,
|  | CosNotification::EventTypeSeq removed | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

| Reimplemented from TAO_Notify_Proxy.

void TAO_Notify_SequenceProxyPushConsumer_i::push_structured_events | ( | const CosNotification::EventBatch &notifications | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosEventComm::Disconnected )`[virtual]`

## Member Data Documentation

CosNotifyComm::SequencePushSupplier_ptr TAO_Notify_SequenceProxyPushConsumer_i::push_supplier_`[protected]`

The documentation for this class was generated from the following files:

- Notify_SequenceProxyPushConsumer_i.h
- Notify_SequenceProxyPushConsumer_i.cpp